import { createStore as _createStore } from 'vuex'
import modules from './modules';

const state = {
  cancellableSearchRequest: null
};

const mutations = {
  SET_CANCELLABLE_SEARCH_REQUEST: (state, payload) => {
    state.cancellableSearchRequest = payload;
  }
};

export function createStore () {
  return _createStore({
    modules,
    state,
    mutations
  })
};
